<?php
/*
Plugin Name: Mobio SMS Бира
Plugin URI: http://mobio.bg
Description: С този плъгин може да предоставите възможност на вашите посетители да ви почерпят виртуална бира. Почерпването става с изпращане на SMS.
Author: Mobio.bg
Version: 1.0
Author URI: http://mobio.bg
*/


function mobio_smsbeer_list() {

	global $wpdb;
	$options = get_option("widget_MobioSMSBeer");
	?>
	<div class="widget"><h2 class="widgettitle"><?PHP echo $options['title'];?></h2>
	<?PHP

		$wpdb->query("CREATE TABLE IF NOT EXISTS {$wpdb->prefix}smsbeer (id bigint unsigned primary key auto_increment, ime varchar(30), timestamp timestamp, fromnum varchar(20))");

		$rows = $wpdb->get_results("SELECT * FROM {$wpdb->prefix}smsbeer ORDER BY id DESC LIMIT {$options['links']}");

$dni = $wpdb->get_results("SELECT datediff( now( ) , max( timestamp ) ) AS dni FROM {$wpdb->prefix}smsbeer");
$dni = array_pop($dni);
$url=get_option('siteurl');
echo('<div style="text-align: center;">'); 

if(isset($dni->dni) AND $dni->dni < 7){
echo ("<img src=\"$url/wp-content/plugins/smsbeer/full.jpg\" alt=\"Мерси за биричката!\" />");
}else{
echo ("<img src=\"$url/wp-content/plugins/smsbeer/empty.jpg\" alt=\"Жаден съм!\" />");
}
echo('</div>');

   

echo(' <h2>Последно ме почерпиха</h2> ') ;
		echo '<ul class="subnav">';
		while($rows) {
			$row = array_pop($rows);
			echo "<li>{$row->ime} ме почерпи! Мерси!</li>";
		}
		echo '</ul>';
	?>
	<p style="text-align: justify;"><?PHP echo $options['descr'];?></p>

	<br />услуга на <a href="http://mobio.bg" target="_blank">mobio.bg</a></div>
	<?PHP

}

function mobio_smsbeer_control() {

	$options = get_option("widget_MobioSMSBeer");

	if (!is_array( $options )) {
		$options = array(
				'title' => 'Почерпи ме биричка!',
				'descr' => 'За да ми купите бира изпратете sms с текст paybeer ВАШЕТО_ИМЕ на номер 2216 (1.20лв.)',
				'links' => 10
				);
		update_option("widget_MobioSMSBeer", $options);

	}      

	if ($_POST['MobioSMSBeer-Submit']) {
		$options['title'] = htmlspecialchars($_POST['MobioSMSBeer-WidgetTitle']);
		$options['descr'] = htmlspecialchars($_POST['MobioSMSBeer-WidgetDescr']);
		$options['links'] = htmlspecialchars($_POST['MobioSMSBeer-WidgetLinks']);
		update_option("widget_MobioSMSBeer", $options);
	}


?>
<p>
	<label for="MobioSMSBeer-WidgetTitle">Заглавие: </label>
	<input type="text" id="MobioSMSBeer-WidgetTitle" name="MobioSMSBeer-WidgetTitle" value="<?php echo $options['title'];?>" style="width:200px"/><br/>

	<label for="MobioSMSBeer-WidgetLinks">Брой имена: </label>
	<input type="text" id="MobioSMSBeer-WidgetLinks" name="MobioSMSBeer-WidgetLinks" value="<?php echo $options['links'];?>" style="width:200px"/><br/>

	<label for="MobioSMSBeer-WidgetText">Описание: </label>
	<textarea  id="MobioSMSBeer-WidgetDescr" name="MobioSMSBeer-WidgetDescr" style="width:200px" rows="5"><?php echo $options['descr'];?></textarea><br/>
	<input type="hidden" id="MobioSMSBeer-Submit" name="MobioSMSBeer-Submit" value="1" />
</p>
<?PHP

}

function mobio_smsbeer_init() {

	register_sidebar_widget("Mobio SMS бира", "mobio_smsbeer_list"); 
	register_widget_control("Mobio SMS бира", "mobio_smsbeer_control");

}

$mobio_remote_addrs = array("87.120.176.216", "194.12.244.114");


if($_REQUEST["servID"] and (in_array($_SERVER["REMOTE_ADDR"], $mobio_remote_addrs))) {
	include('../../../wp-config.php');
	if(mysql_connect(DB_HOST, DB_USER, DB_PASSWORD) and mysql_select_db(DB_NAME)) {
		$fromnum = mysql_real_escape_string($_REQUEST["fromnum"]);
		$servID = intval($_REQUEST["servID"]);
		$extid = $_REQUEST["extid"];
		$link = mysql_real_escape_string($_REQUEST["item"]);
		$link = strip_tags($link);

		mysql_query("CREATE TABLE IF NOT EXISTS {$table_prefix}smsbeer (id bigint unsigned primary key auto_increment, ime varchar(30), timestamp timestamp, fromnum varchar(20))");
		mysql_query("INSERT INTO {$table_prefix}smsbeer VALUES (0, '$link', NOW(), '$fromnum')");

		$sms_reply = "Vashata bira e uspeshno servirana!";
		file("http://mobio.bg/paynotify/pnsendsms.php?servID=$servID&tonum=$fromnum&extid=$extid&message=".urlencode($sms_reply));

	}
}else{

	add_action('plugins_loaded', 'mobio_smsbeer_init');

}
?>
